PATCH /v1/workflows/{id}/ui-metadata
Update workflow UI metadata (node positions) in-place
PATCH
/v1/workflows/{id}/ui-metadata
Update workflow UI metadata (node positions) in-place
Path Parameters
id
string
required
path
Workflow ID
Request Body required
UI metadata
application/jsonOne of:
Option 1
Option 2
expectedCurrentVersion
integer
uiMetadata
object
REQUIRED
comments
object[]
Array of:
createdAt
string
createdBy
object
clientId
string
name
string
id
string
nodeId
string
position
object
x
number
y
number
replies
object[]
Array of:
createdAt
string
createdBy
object
...
id
string
text
string
updatedAt
string
resolved
boolean
text
string
updatedAt
string
nodePositions
object
stickyNotes
object[]
Array of:
color
string
createdAt
string
createdBy
object
clientId
string
name
string
id
string
position
object
x
number
y
number
size
object
height
number
width
number
text
string
updatedAt
string
zIndex
integer
Responses
200
OK
application/jsoncode
integer
data
object
version
integer
message
string
requestId
string
400
Bad Request
404
Not Found
409
Conflict
curl -X PATCH 'https://api.example.com/v1/workflows/string/ui-metadata' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/workflows/string/ui-metadata', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.example.com/v1/workflows/string/ui-metadata', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PATCH", "https://api.example.com/v1/workflows/string/ui-metadata", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "version": 123 }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
PATCH
/v1/workflows/{id}/ui-metadata
